// Need this for the lower level access to set them up.
#include <HardwareSerial.h>

//Define two Serial devices mapped to the two internal UARTs
HardwareSerial MySerial0(0);

void setup()
{
    pinMode(LED_BUILTIN, OUTPUT); // Set LED pin as output

    for (int i = 0; i < 10; i++) {
      digitalWrite(LED_BUILTIN, LOW);
      delay(100);  // LED on for 100ms
      digitalWrite(LED_BUILTIN, HIGH);
      delay(100);  // LED off for 100ms
    }
    // For the USB, just use Serial as normal:
    //Serial.begin(115200);

    // Configure MySerial0 on pins TX=6 and RX=7 (-1, -1 means use the default)
    MySerial0.begin(9600, SERIAL_8N1, -1, -1);
    MySerial0.print("MySerial0");

}

void loop()
{
  MySerial0.print("MySerial0");
  digitalWrite(LED_BUILTIN, LOW);
  delay(200);  // LED on for 200ms
  digitalWrite(LED_BUILTIN, HIGH);

  delay(2000);
}